Index: unk/tools/albums.lang.php
===================================================================
--- /trunk/tools/albums.lang.php	(revision 18956)
+++ 	(revision )
@@ -1,89 +1,0 @@
-<?php
-$lang['%d category including'] = '%d album including';
-$lang['%d categories including'] = '%d albums including';
-$lang['%d category moved'] = '%d album moved';
-$lang['%d categories moved'] = '%d albums moved';
-$lang['Apply to subcategories'] = 'Apply to sub-albums';
-$lang['Categories authorized thanks to group associations'] = 'Albums authorized thanks to group associations';
-$lang['Categories manual order was saved'] = 'Album manual order was saved';
-$lang['Category elements associated to the following categories: %s'] = 'Album elements associated to the following albums: %s';
-$lang['Link all category elements to a new category'] = 'Link all album photos to a new album';
-$lang['Link all category elements to some existing categories'] = 'Link all album photos to some existing albums';
-$lang['Linked categories'] = 'Linked albums';
-$lang['Manage permissions for a category'] = 'Edit album permissions';
-$lang['Move categories'] = 'Move albums';
-$lang['New parent category'] = 'New parent album';
-$lang['Only private categories are listed'] = 'Only private albums are listed';
-$lang['Other private categories'] = 'Other private albums';
-$lang['Parent category'] = 'Parent album';
-$lang['Permalink %s has been previously used by category %s. Delete from the permalink history first'] = 'Permalink %s has been previously used by album %s. Delete from the permalink history first';
-$lang['Permalink %s is already used by category %s'] = 'Permalink %s is already used by album %s';
-$lang['Representation of categories'] = 'Representation of albums';
-$lang['Select at least one category'] = 'Select at least one album';
-$lang['Storage category'] = 'Storage album';
-$lang['Virtual categories to move'] = 'Virtual albums to move';
-$lang['Virtual category name'] = 'Virtual album name';
-$lang['You cannot move a category in its own sub category'] = 'You cannot move an album in its own sub album';
-$lang['associate to category'] = 'Associate to album';
-$lang['Add a virtual category'] = 'Add a virtual album';
-$lang['Authorize users to add comments on selected categories'] = 'Authorize users to add comments on selected albums';
-$lang['The name of a category should not be empty'] = 'The name of an album must not be empty';
-$lang['Lock categories'] = 'Lock albums';
-$lang['Private category'] = 'Private';
-$lang['Public category'] = 'Public';
-$lang['Manage authorizations for selected categories'] = 'Manage authorizations for selected albums';
-$lang['Select uploadable categories'] = 'Select uploadable albums';
-$lang['Virtual category added'] = 'Virtual album added';
-$lang['Virtual category deleted'] = 'Virtual album deleted';
-$lang['delete category'] = 'delete album';
-$lang['dissociate from category'] = 'Dissociate from album';
-$lang['edit category permissions'] = 'edit album permissions';
-$lang['Category informations updated successfully.'] = 'Album updated successfully';
-$lang['jump to category'] = 'jump to album';
-$lang['manage category elements'] = 'manage album elements';
-$lang['manage sub-categories'] = 'manage sub-albums';
-$lang['Categories management'] = 'Album list management';
-$lang['Edit a category'] = 'Edit album';
-$lang['Update categories informations'] = 'Update albums informations';
-$lang['reduce to single existing categories'] = 'reduce to single existing albums';
-$lang['display maximum informations (added categories and elements, deleted categories and elements)'] = 'display maximum informations (added albums and photos, deleted albums and photos)';
-$lang['categories deleted in the database'] = 'albums deleted in the database';
-$lang['categories added in the database'] = 'albums added in the database';
-$lang['Files with same name in more than one physical category'] = 'Files with same name in more than one physical album';
-$lang['edit category informations'] = 'edit album';
-$lang['No element in this category'] = 'No photo in this album';
-$lang['Drop into category'] = 'Drop into album';
-$lang['existing category'] = 'existing album';
-$lang['create a new category'] = 'create a new album';
-$lang['Category name'] = 'Album name';
-$lang['Category "%s" has been added'] = 'Album "%s" has been added';
-$lang['Category "%s" now contains %d photos'] = 'Album "%s" now contains %d photos';
-$lang['Category \'%s\' has been added'] = 'Album "%s" has been added';
-$lang['Category \'%s\' now contains %d photos'] = 'Album "%s" now contains %d photos';
-$lang['Categories automatically sorted'] = 'Albums automatically sorted';
-$lang['%d category updated'] = '%d album updated';
-$lang['%d categories updated'] = '%d albums updated';
-$lang['Categories'] = 'Albums';
-$lang['Category'] = 'Album';
-$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.';
-$lang['Expand all categories'] = 'Expand all albums';
-$lang['shows images at the root of this category'] = 'display this album';
-$lang['in this category'] = 'in this album';
-$lang['in %d sub-category'] = 'in %d sub-album';
-$lang['in %d sub-categories'] = 'in %d sub-albums';
-$lang['display all elements in all sub-categories'] = 'display all photos in all sub-albums';
-$lang['Recent categories'] = 'Recent albums';
-$lang['display recently updated categories'] = 'display recently updated albums';
-$lang['Search in Categories'] = 'Search in albums';
-$lang['Search in subcategories'] = 'Search in sub-albums';
-$lang['set as category representative'] = 'set as album representative';
-$lang['Category: %s'] = 'Album: %s';
-$lang['Category results for'] = 'Album results for';
-$lang['All sub-categories of private categories become private'] = 'All sub-albums of private albums become private';
-$lang['sub-categories'] = 'sub-albums';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory \'thumbnail\' of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :';
-$lang['Virtual category'] = 'Virtual album';
-$lang['[%s] Come to visit the category %s'] = '[%s] Visit album %s';
-$lang['Come to discover the category:'] = 'Discover album:';
-?>
Index: unk/tools/local-layout.css
===================================================================
--- /trunk/tools/local-layout.css	(revision 18956)
+++ 	(revision )
@@ -1,10 +1,0 @@
-/* Add background picture */
-BODY {
-  background-image:url(background.gif);
-  background-attachment:fixed;
-}
-
-UL.thumbnails SPAN.wrap2 {
-  height: 200px; /* max thumbnail height + 2px */
-}
-
Index: unk/tools/photos.lang.php
===================================================================
--- /trunk/tools/photos.lang.php	(revision 18956)
+++ 	(revision )
@@ -1,72 +1,0 @@
-<?php
-// common
-$lang['%d new image'] = '%d new photo';
-$lang['%d new images'] = '%d new photos';
-$lang['add this image to your favorites'] = 'add this photo to your favorites';
-$lang['display best rated items'] = 'display best rated photos';
-$lang['display each day with pictures, month per month'] = 'display each day with photos, month per month';
-$lang['delete this image from your favorites'] = 'delete this photo from your favorites';
-$lang['display my favorites pictures'] = 'display your favorites photos';
-$lang['shows images at the root of this album'] = 'display this album';
-$lang['display most visited pictures'] = 'display most visited photos';
-$lang['Rate this picture'] = 'Rate this photo';
-$lang['Random pictures'] = 'Random photos';
-$lang['display a set of random pictures'] = 'display a set of random photos';
-$lang['Recent pictures'] = 'Recent photos';
-$lang['display most recent pictures'] = 'display most recent photos';
-$lang['display only recently posted images'] = 'display only recently posted photos';
-$lang['return to the display of all images'] = 'return to the display of all photos';
-$lang['%d image'] = '%d photo';
-$lang['%d images'] = '%d photos';
-$lang['%d image is also linked to current tags'] = '%d photo is also linked to current tags';
-$lang['%d images are also linked to current tags'] = '%d photos are also linked to current tags';
-$lang['See images linked to this tag only'] = 'display photos linked to this tag';
-$lang['images posted during the last %d days'] = 'photos posted during the last %d days';
-$lang['delete all images from your favorites'] = 'delete all photos from your favorites';
-$lang['Complete RSS feed (images, comments)'] = 'Complete RSS feed (photos, comments)';
-$lang['Image only RSS feed'] = 'Photos only RSS feed';
-$lang['The RSS notification feed provides notification on news from this website : new pictures, updated albums, new comments. Use a RSS feed reader.'] = 'The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.';
-$lang['Maximum height of the pictures'] = 'Maximum photo height';
-$lang['Maximum width of the pictures'] = 'Maximum photo width';
-$lang['display all elements in all sub-albums'] = 'display all photos in all sub-albums';
-$lang['The number of images per row must be a not null scalar'] = 'The number of photos per row must be a not null scalar';
-$lang['Number of images per row'] = 'Number of photos per row';
-$lang['Elements posted within the last %d day.'] = 'Photos posted within the last %d day.';
-$lang['Elements posted within the last %d days.'] = 'Photos posted within the last %d days.';
-$lang['picture'] = 'photo';
-$lang['Click on the picture to see it in high definition'] = 'Click on the photo to see it in high definition';
-
-// admin
-$lang['Edit all picture informations'] = 'Edit photo information';
-$lang['Include display of recent pictures group by dates'] = 'Include display of recent photos grouped by dates';
-$lang['Link all album elements to a new album'] = 'Link all album photos to a new album';
-$lang['Link all album elements to some existing albums'] = 'Link all album photos to some existing albums';
-$lang['Manage image ranks'] = 'Manage photo ranks';
-$lang['New elements added'] = 'New photos added';
-$lang['New elements were added'] = 'New photos were added';
-$lang['No element in this album'] = 'No photo in this album';
-$lang['Select at least one picture'] = 'Select at least one photo';
-$lang['Update images informations'] = 'Update photos information';
-$lang['Use the default image sort order (defined in the configuration file)'] = 'Use the default photo sort order (defined in the configuration file)';
-$lang['add new elements to caddie'] = 'add new photos to caddie';
-$lang['display maximum informations (added albums and elements, deleted albums and elements)'] = 'display maximum informations (added albums and photos, deleted albums and photos)';
-$lang['elements added in the database'] = 'photos added in the database';
-$lang['elements deleted in the database'] = 'photos deleted from the database';
-$lang['elements per page'] = 'photos per page';
-$lang['elements updated in the database'] = 'photos updated in the database';
-$lang['even already synchronized elements'] = 'even already synchronized photos';
-$lang['first element added on %s'] = 'first photo added on %s';
-$lang['images candidates for metadata synchronization'] = 'photos candidates for metadata synchronization';
-$lang['jump to image'] = 'jump to photo';
-$lang['manage image ranks'] = 'manage photo ranks';
-
-
-$lang['manage album elements'] = 'manage album photos';
-$lang['synchronize files metadata with database elements informations'] = 'synchronize files metadata with database photos informations';
-$lang['elements informations synchronized with files metadata'] = 'photos informations synchronized with files metadata';
-$lang['number of miniaturized pictures'] = 'number of miniaturized photos';
-$lang['Picture informations updated'] = 'Photo informations updated';
-$lang['Picture unreachable or no support'] = 'Photo unreachable or no support';
-$lang['pictures without thumbnail (jpeg and png only)'] = 'photos without thumbnail (jpeg and png only)';
-$lang['Random picture'] = 'Random photo';
-?>
Index: /trunk/tools/ws.htm
===================================================================
--- /trunk/tools/ws.htm	(revision 18956)
+++ /trunk/tools/ws.htm	(revision 18957)
@@ -6,5 +6,5 @@
   <title>Piwigo web API (web-services) explorer</title>
   
-  <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.1/jquery.min.js"></script>
+  <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js"></script>
   
   <style type="text/css">