Index: extensions/Evil_Blog/README.txt
===================================================================
--- extensions/Evil_Blog/README.txt	(revision 18982)
+++ 	(revision )
@@ -1,5 +1,0 @@
-This is a Subversion repository; use the 'svnadmin' tool to examine
-it.  Do not add, delete, or modify files here unless you know how
-to avoid corrupting the repository.
-
-Visit http://subversion.apache.org/ for more information.
Index: extensions/Evil_Blog/admin.css
===================================================================
--- extensions/Evil_Blog/admin.css	(revision 18982)
+++ 	(revision )
@@ -1,37 +1,0 @@
-input[name="edit_post_id"] {
-	visibility: hidden;
-}
-input[name="cansel_post_form"] {
-	margin-left: 10px;
-}
-.evil_blog_posts{
-	padding: 0px;
-}
-.evil_blog_posts li {
-	border: 1px #666 solid;
-	padding: 10px;
-	margin-bottom: 10px;
-	list-style-type: none;
-}
-.categoryActions {
-	float: right;
-}
-.categoryActions li {
-	border: 0px;
-	padding: 0px;
-}
-.categoryActions li:hover {
-	cursor: pointer;
-}
-.description {
-	border-top: 1px #666 dotted;
-	margin-top: 10px;
-}
-
-/******************************/
-input[name="modified"] {
-	visibility: hidden;
-}
-input[name="submit_config"] {
-	margin-top: 10px;
-}
Index: extensions/Evil_Blog/admin.php
===================================================================
--- extensions/Evil_Blog/admin.php	(revision 18982)
+++ 	(revision )
@@ -1,24 +1,0 @@
-<?php
-// Chech whether we are indeed included by Piwigo.
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-
-// Fetch the template.
-global $page, $template;
-
-include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
-
-$page['tab'] = isset($_GET['tab']) ? $_GET['tab'] : 'manage';
-
-include(Evil_Blog_PATH.$page['tab'].'.inc.php');
-
-$template->func_combine_css(array(
-        'path' => Evil_Blog_PATH.'admin.css',
-        )
-      );
-
-$tabsheet = new tabsheet();
-$tabsheet->add('manage', l10n('Manage'), Evil_Blog_Admin.'-manage');
-$tabsheet->add('config', l10n('Configuration'), Evil_Blog_Admin.'-config');
-$tabsheet->select($page['tab']);
-$tabsheet->assign();
-?>
Index: extensions/Evil_Blog/config.inc.php
===================================================================
--- extensions/Evil_Blog/config.inc.php	(revision 18982)
+++ 	(revision )
@@ -1,49 +1,0 @@
-<?php
-// Chech whether we are indeed included by Piwigo.
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-
-// Fetch the template.
-global $template, $conf, $page;
-
-if ((!empty($_POST['modified'])) and ($_POST['modified']=true)) {
-	$eb_conf = array(
-      'blog_name' => $_POST['blog_name'],
-      'posts_per_page' => $_POST['posts_per_page'],
-	  'blog_description' => $_POST['blog_description'],
-	  'date_format' => $_POST['date_format']
-    );
-	if (!empty($_POST['show_on_main_page'])) {
-		$eb_conf['show_on_main_page'] = $_POST['show_on_main_page'];
-		}else{
-		$eb_conf['show_on_main_page'] = false;
-		}
-	if (!empty($_POST['show_number'])) {
-		$eb_conf['show_number'] = $_POST['show_number'];
-		}else{
-		$eb_conf['show_number'] = false;
-		}
-	if (!empty($_POST['show_date'])) {
-		$eb_conf['show_date'] = $_POST['show_date'];
-		}else{
-		$eb_conf['show_date'] = false;
-		}
-	pwg_query('
-		UPDATE '.CONFIG_TABLE.' 
-		SET '.CONFIG_TABLE.'.value = "'.pwg_db_real_escape_string(serialize($eb_conf)).'" 
-		WHERE '.CONFIG_TABLE.'.param = "evil_blog" LIMIT 1 ;
-		');
-	array_push($page['infos'], l10n('config_is_saved'));
-	} else { $eb_conf = @unserialize($conf['evil_blog']);}
-	
-$template->assign('blog_name', $eb_conf['blog_name']);
-$template->assign('blog_description', $eb_conf['blog_description']);
-$template->assign('posts_per_page', $eb_conf['posts_per_page']);
-$template->assign('show_on_main_page', $eb_conf['show_on_main_page']);
-$template->assign('show_number', $eb_conf['show_number']);
-$template->assign('show_date', $eb_conf['show_date']);
-$template->assign('date_format', $eb_conf['date_format']);
-
-$template->set_filenames( array('plugin_admin_content' => dirname(__FILE__).'/config.tpl') );
-$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');
-
-?>
Index: extensions/Evil_Blog/config.tpl
===================================================================
--- extensions/Evil_Blog/config.tpl	(revision 18982)
+++ 	(revision )
@@ -1,52 +1,0 @@
-<div id="content">
-		<div class="titrePage">
-			<h2>{'Customize'|@translate} Evil Blog</h2>
-		</div>
-		<form name="config_form" action="#" method="POST">
-			<input type="checkbox" name="modified">
-			<fieldset>
-			<table>
-				<tr>
-					<td><b>{'blog_name'|@translate}</b></td>
-					<td><input type="text" name="blog_name" value="{$blog_name}" onChange="document.config_form.modified.checked=true;"></td>
-				</tr>
-				<tr>
-					<td><b>{'blog_description'|@translate}</b></td>
-					<td><input type="text" name="blog_description" value="{$blog_description}" onChange="document.config_form.modified.checked=true;"></td>
-				</tr>
-				<tr>
-					<td><b>{'posts_per_pages'|@translate}</b></td>
-					<td><input type="text" name="posts_per_page" value="{$posts_per_page}" onChange="document.config_form.modified.checked=true;"></td>
-				</tr>
-				<tr>
-					<td><b>{'show_on_main_page'|@translate}</b></td>
-					<td><input type="checkbox" name="show_on_main_page" {if isset($show_on_main_page) and $show_on_main_page}checked="checked"{/if} onChange="document.config_form.modified.checked=true;"></td>
-				</tr>
-				<tr><td colspan="2">
-				<fieldset><legend>{'post_appearance'|@translate}</legend>
-					<table>
-					<tr>
-						<td><b>{'show_number'|@translate}</b></td>
-						<td><input type="checkbox" name="show_number" {if isset($show_number) and $show_number}checked="checked"{/if} onChange="document.config_form.modified.checked=true;"></td>
-					</tr>
-					<tr>
-						<td><b>{'show_date'|@translate}</b></td>
-						<td><input type="checkbox" name="show_date" {if isset($show_date) and $show_date}checked="checked"{/if} onChange="document.config_form.modified.checked=true;"></td>
-					</tr>
-										<tr>
-						<td><b>{'date_format'|@translate}</b></td>
-						<td>
-							<input type="text" name="date_format" value="{$date_format}" onChange="document.config_form.modified.checked=true;"> 
-							<a href='http://php.net/manual/ru/function.date.php'>?</a>
-						</td>
-					</tr>
-					</table>
-				</fieldset>
-				</td></tr>
-				<tr>
-					<td><input type="submit" name="submit_config" value="{'Submit'|@translate}"></td>
-				</tr>
-			</table>
-			</fieldset>
-		</form>
-</div>
Index: extensions/Evil_Blog/format
===================================================================
--- extensions/Evil_Blog/format	(revision 18982)
+++ 	(revision )
@@ -1,1 +1,0 @@
-5
Index: extensions/Evil_Blog/index.php
===================================================================
--- extensions/Evil_Blog/index.php	(revision 18982)
+++ 	(revision )
@@ -1,10 +1,0 @@
-<?php
-
-
-// Recursive call
-$url = '../';
-header( 'Request-URI: '.$url );
-header( 'Content-Location: '.$url );
-header( 'Location: '.$url );
-exit();
-?>
Index: extensions/Evil_Blog/maintain.inc.php
===================================================================
--- extensions/Evil_Blog/maintain.inc.php	(revision 18982)
+++ 	(revision )
@@ -1,98 +1,0 @@
-<?php
-// Chech whether we are indeed included by Piwigo.
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-
-function plugin_install()
-{
-  global $prefixeTable, $conf;
-
-  $query = 'SHOW TABLES LIKE "' . $prefixeTable . 'evil_blog"';
-  $result = pwg_query($query);
-  if (!mysql_fetch_row($result))
-	{
-	$query = 
-		'CREATE TABLE ' . $prefixeTable . 'evil_blog (
-		id INT( 1 ) NOT NULL AUTO_INCREMENT,
-		date DATETIME NOT NULL,
-		header VARCHAR( 255 ) NOT NULL ,
-		text LONGTEXT NOT NULL ,
-		PRIMARY KEY (id))
-		DEFAULT CHARACTER SET utf8';
-	pwg_query($query.';');
-	}
-	
-$config = array(
-      'blog_name' => 'News',
-      'posts_per_page' => 3,
-	  'blog_description' => 'News Blog',
-	  'show_on_main_page' => 'on',
-	  'show_number' => 'off',
-	  'show_date' => 'on',
-	  'date_format' => 'H.i  d/m/Y'
-	);
-	
-if (isset($conf['evil_blog']))
-  {
-	$query =
-	'UPDATE '.CONFIG_TABLE.' SET value = "'.pwg_db_real_escape_string(serialize($config)).'" WHERE param = "evil_blog"';
-	
-  } else {
-    $query =
-		'INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
-		VALUES ("evil_blog" , "'.pwg_db_real_escape_string(serialize($config)).'" , "Evil_Blog configuration");';
-    }
-	pwg_query($query);
-}
- 
-function plugin_activate()
-{
-	global $prefixeTable, $conf;
-	
-	$query = 'SHOW TABLES LIKE "' . $prefixeTable . 'evil_blog"';
-	$result = pwg_query($query);
-  if (!mysql_fetch_row($result))
-	{
-	$query = 
-		'CREATE TABLE ' . $prefixeTable . 'evil_blog (
-		id INT( 1 ) NOT NULL AUTO_INCREMENT,
-		date DATETIME NOT NULL,
-		header VARCHAR( 255 ) NOT NULL ,
-		text LONGTEXT NOT NULL ,
-		PRIMARY KEY (id))
-		DEFAULT CHARACTER SET utf8';
-	pwg_query($query.';');
-	}
-	
-$config = array(
-      'blog_name' => 'News',
-      'posts_per_page' => 3,
-	  'blog_description' => 'News Blog',
-	  'show_on_main_page' => 'on',
-	  'show_number' => 'off',
-	  'show_date' => 'on',
-	  'date_format' => 'H.i  d/m/Y'
-	);
-	
-if (isset($conf['evil_blog']))
-  {
-	$query =
-	'UPDATE '.CONFIG_TABLE.' SET value = "'.pwg_db_real_escape_string(serialize($config)).'" WHERE param = "evil_blog"';
-	
-  } else {
-    $query =
-		'INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
-		VALUES ("evil_blog" , "'.pwg_db_real_escape_string(serialize($config)).'" , "Evil_Blog configuration");';
-    }
-	pwg_query($query);
-}
- 
-function plugin_uninstall()
-{
-  global $prefixeTable;
-  pwg_query('DROP TABLE ' . $prefixeTable . 'evil_blog;');
-  
-  $q = 'DELETE FROM ' . CONFIG_TABLE . ' WHERE '.CONFIG_TABLE.'.param="evil_blog" LIMIT 1;';
-  pwg_query($q);
-  unset($conf['evil_blog']);
-}
-?>
Index: extensions/Evil_Blog/manage.inc.php
===================================================================
--- extensions/Evil_Blog/manage.inc.php	(revision 18982)
+++ 	(revision )
@@ -1,80 +1,0 @@
-<?php
-// Chech whether we are indeed included by Piwigo.
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-
-// Fetch the template.
-global $template, $conf, $page;
-	
-	if (isset($_POST['submit_post'])) {//äîáàâëåíèå ïîñòà // write new post in db
-		$result = pwg_query("insert into ".Evil_Blog_Table." values (NULL, NOW() , '". $_POST['post_header']."', '".$_POST['post_textarea']."')");
-		array_push($page['infos'], l10n('post_is_saved'));
-		}
-		
-	if (!empty($_POST['del']))	{//óäàëåíèå ïîñòà // deleting post from db
-		$result = pwg_query("DELETE FROM ".Evil_Blog_Table." WHERE ".Evil_Blog_Table.".id = ".$_POST['del']." LIMIT 1");
-		array_push($page['infos'], l10n('post_is_deleted'));
-		}
-
-	if (!empty($_POST['edit_post_id'])) {
-		$result = pwg_query("UPDATE ".Evil_Blog_Table." 
-		SET ".Evil_Blog_Table.".header='".$_POST['edit_post_header']."', 
-			".Evil_Blog_Table.".text='".$_POST['edit_post_text']."'
-		WHERE ".Evil_Blog_Table.".id='".$_POST['edit_post_id']."' LIMIT 1");
-		array_push($page['infos'], l10n('post_modified'));
-		}
-		
-	$eb_conf = @unserialize($conf['evil_blog']);	
-	$post_per_page = $eb_conf['posts_per_page'];
-	
-		$row = pwg_db_fetch_assoc(pwg_query("SELECT COUNT(*) FROM `".Evil_Blog_Table."`"));;	
-		
-		//$pages - number of pages in all blog
-		//$npage - page on which we look
-		if ($row["COUNT(*)"] % $post_per_page != 0) {
-			$pages = floor($row["COUNT(*)"] / $post_per_page)+1;
-			} else {$pages = floor($row["COUNT(*)"] / $post_per_page);}
-		if ((empty($_POST['npage'])) or ($_POST['npage']<=1)) {
-			$number = 0;
-			$npage = 1;
-			} else {
-				$npage = $_POST['npage'];
-				if ($npage<=$pages) {
-					$number=($npage-1)*$post_per_page;
-					} else {
-					$number=($pages-1)*$post_per_page;
-					$npage=$pages;
-					}
-			}
-	
-		$query = 	"SELECT *
-					FROM `".Evil_Blog_Table."`
-					WHERE 1
-					ORDER BY `date` DESC
-					LIMIT ".$number.",".$post_per_page;
-		$result = pwg_query($query);
-		$qwe = 0;
-		while ($row = pwg_db_fetch_assoc($result)) {//áîëåå âìåíÿåìàÿ îáðàáîòêà ðåçóëüòàòà èç áàçû, íóæíî äëÿ íîðìàëüíîé ðàáîòû SMARTY
-			$row1[$qwe] = $row;
-			$qwe++;
-			}
-		if (!empty($row1)) {
-			$template->assign('row', $row1);
-			}
-		$template->assign('npage', $npage);
-		$template->assign('pages', $pages);
-		for ($it=1; $it<=$pages; $it++) {//ñîçäàíèå ìàññèâà ñ íîìåðàìè ñòðàíèö //create array with numbers of pages
-			$pagi[$it] = $it;
-			}
-		if (!empty($pagi)) { 
-			$template->assign('pagi', $pagi);
-			}
-		$template->assign('blog_name', $eb_conf['blog_name']);	
-			
-		//âêëþ÷àåì FCKeditor
-		$FCKEA = pwg_db_fetch_assoc(pwg_query("SELECT state FROM " . PLUGINS_TABLE . " WHERE id = 'FCKEditor';"));
-		if($FCKEA['state'] == 'active') set_fckeditor_instance($areas='post_textarea', $toolbar='Full', $width='900px', $height='200px');
-			
-$template->set_filenames( array('plugin_admin_content' => dirname(__FILE__).'/manage.tpl') );
-$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');
-
-?>
Index: extensions/Evil_Blog/manage.tpl
===================================================================
--- extensions/Evil_Blog/manage.tpl	(revision 18982)
+++ 	(revision )
@@ -1,128 +1,0 @@
-<div id="content">
-		<div class="titrePage">
-			<h2>Evil Blog</h2>
-		</div>
-		<form name="post_form" action="#" method="POST">
-			<table style="width:95%;">
-				<tr><td>	
-					<b>{'post_header'|@translate}</b><br>
-					<input type="text" name="post_header" style="width:100%;">
-				</td></tr>
-				<tr><td colspan="2"><br>
-					<b>{'post_text'|@translate}</b><br>
-					<textarea name="post_textarea" rows="15" style="width:100%;">
-						{if isset($CONTENT)}{$CONTENT}{/if}
-					</textarea>
-				</td></tr>
-				<tr><td>
-					<input type="submit" name="submit_post" value="{'Submit'|@translate}">
-				</td></tr>
-			</table>
-		</form>
-	
-	<form name="delete_form" action="#" method="POST">		
-		<input type='text' name='del' style='visibility: hidden; position: absolute;'>
-	<script type="text/javascript">{literal}		
-	function subdel (val) {
-		if (confirm('Are you sure?')) {
-			document.delete_form.del.value=val;
-			document.delete_form.submit();
-			}
-	}
-	{/literal}
-	</script>
-	</form>
-
-	<script type="text/javascript">{literal}
-	window['opened_edit_form'] = false;
-	function close_edit_form (val) {
-		$('input[name="edit_post_id"]').remove();
-		//$('#post_id_'+val).text(window.p_id);
-		
-		$('input[name="edit_post_header"]').remove();
-		$('#post_header_'+val).text(window.p_header);
-		
-		$('textarea[name]"edit_post_text"').remove();
-		$('#post_text_'+val).html(window.p_text);
-		
-		$('input[name="edit_submit_post"]').remove();
-		$('input[name="cansel_post_form"]').remove();
-		$('#post_'+val+' .categoryActions').show();
-		window.opened_edit_form = false;
-	}
-	
-	function open_edit_form (val) {
-		if (!window.opened_edit_form) {
-		$('#post_'+val+' .categoryActions').hide();
-		
-		$('#post_header_'+val).html('<input type="text" name="edit_post_header" value="'+$('#post_header_'+val).text()+'">');
-		window['p_header'] = document.edit_form.edit_post_header.value;
-		
-		$('#post_text_'+val).html('<textarea name="edit_post_text" rows="15" style="width:100%;">'+$('#post_text_'+val).html()+'</textarea>');
-		window['p_text'] = $('textarea[name]"edit_post_text"').text();
-		
-		$('<input type="text" name="edit_post_id" value="'+$('#post_id_'+val).text()+'">').insertAfter('#post_text_'+val);
-		$('<input type="button" name="cansel_post_form" value="Cansel" onClick="return close_edit_form('+val+')">').insertAfter('#post_text_'+val);
-		$('<input type="submit" name="edit_submit_post" value="Submit">').insertAfter('#post_text_'+val);
-		window.opened_edit_form = true;
-		} else {
-		alert('Close other form of editing!');
-		}
-	}
-	{/literal}
-	</script>
-	
-	<form name="edit_form" action="#" method="POST">
-	<fieldset>
-		<legend>{$blog_name}</legend>
-		<ul class="evil_blog_posts">
-			{foreach from=$row item=value} 
-				<li>
-					<div id="post_{$value.id}">
-						<span id="post_id_{$value.id}">{$value.id}</span>
-						* 
-						<span id="post_date_{$value.id}">{$value.date}</span> 
-						- 
-						<span id="post_header_{$value.id}">{$value.header}</span>
-						<ul class="categoryActions">
-							<li>
-								<img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/category_edit.png" alt="{'edit'|@translate}" 
-								title="{'edit'|@translate}" onClick="return open_edit_form({$value.id})">
-								<img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/category_delete.png" alt="{'delete'|@translate}" 
-								title="{'Delete'|@translate}" onClick="return subdel({$value.id})">
-							</li>
-						</ul>
-						<div id="post_text_{$value.id}" class="description">
-							{$value.text}
-						</div>
-					</div>
-				</li>
-			{/foreach}
-		</ul>
-	</fieldset>	
-	</form>
-		<script type="text/javascript">{literal}		
-		function subnum (num) {
-			document.blog_pagination.npage.value=num;
-			document.blog_pagination.submit();
-		}
-		{/literal}
-		</script>
-		<form name='blog_pagination' action='' method='POST'>
-		<div class="navigationBar">
-			<a href="index.php" rel="first">{'First'|@translate}</a> |
-			<a href="#" onclick='subnum({$npage-1})' rel="prev">{'Previous'|@translate}</a> |
-			<input type='text' name='npage' style='visibility: hidden; position: absolute;'>
-			{foreach from=$pagi item=v}
-				{if $v!=$npage}
-					<a class='blog_pagination' href='#' onclick='subnum({$v})'>{$v}</a> |
-					{else}
-					<span class='pageNumberSelected'>{$v}</span> |
-					{/if}
-			{/foreach}
-			<a href="#" onclick='subnum({$npage+1})' rel="next">{'Next'|@translate}</a> |
-			<a href="#" onclick='subnum({$pages})'" rel="last">{'Last'|@translate}</a>
-		</div>
-		</form>
-	
-</div>
Index: extensions/Evil_Blog/posts.css
===================================================================
--- extensions/Evil_Blog/posts.css	(revision 18982)
+++ 	(revision )
@@ -1,115 +1,0 @@
-.evil_blog_posts {
-	list-style: none;
-	padding: 0px;
-}
-.evil_blog_posts li {
-	padding: 10px;
-	border-radius: 10px 10px;
-	margin-bottom: 10px;
-}
-.evil_blog_posts li .post_title {
-	border-bottom: 1px #fff dashed;
-	padding-bottom: 5px;
-}
-.evil_blog_posts li .post_description {
-	padding-top: 10px;
-}
-.evil_blog_posts li .post_header, .evil_blog_posts li .post_number {
-	font-size: 125%;
-}
-.evil_blog_posts li .post_date {
-	float: right;
-	font-size: 75%;
-}
-.evil_blog_posts li .post_description a {
-	text-decoration: none;
-}
-
-/********colorbox**************/
-
-/*
-    ColorBox Core Style:
-    The following CSS is consistent between example themes and should not be altered.
-*/
-#colorbox, #cboxOverlay, #cboxWrapper{position:absolute; top:0; left:0; z-index:9999; overflow:hidden;}
-#cboxOverlay{position:fixed; width:100%; height:100%;}
-#cboxMiddleLeft, #cboxBottomLeft{clear:left;}
-#cboxContent{position:relative;}
-#cboxLoadedContent{overflow:auto;}
-#cboxTitle{margin:0;}
-#cboxLoadingOverlay, #cboxLoadingGraphic{position:absolute; top:0; left:0; width:100%; height:100%;}
-#cboxPrevious, #cboxNext, #cboxClose, #cboxSlideshow{cursor:pointer;}
-.cboxPhoto{float:left; margin:auto; border:0; display:block; max-width:none;}
-.cboxIframe{width:100%; height:100%; display:block; border:0;}
-#colorbox, #cboxContent, #cboxLoadedContent{box-sizing:content-box;}
-
-/* 
-    User Style:
-    Change the following styles to modify the appearance of ColorBox.  They are
-    ordered & tabbed in a way that represents the nesting of the generated HTML.
-*/
-#cboxOverlay{background:url(js/images/overlay.png) repeat 0 0;}
-#colorbox{}
-    #cboxTopLeft{width:21px; height:21px; background:url(js/images/controls.png) no-repeat -101px 0;}
-    #cboxTopRight{width:21px; height:21px; background:url(js/images/controls.png) no-repeat -130px 0;}
-    #cboxBottomLeft{width:21px; height:21px; background:url(js/images/controls.png) no-repeat -101px -29px;}
-    #cboxBottomRight{width:21px; height:21px; background:url(js/images/controls.png) no-repeat -130px -29px;}
-    #cboxMiddleLeft{width:21px; background:url(js/images/controls.png) left top repeat-y;}
-    #cboxMiddleRight{width:21px; background:url(js/images/controls.png) right top repeat-y;}
-    #cboxTopCenter{height:21px; background:url(js/images/border.png) 0 0 repeat-x;}
-    #cboxBottomCenter{height:21px; background:url(js/images/border.png) 0 -29px repeat-x;}
-    #cboxContent{background:#fff; overflow:hidden;}
-        .cboxIframe{background:#fff;}
-        #cboxError{padding:50px; border:1px solid #ccc;}
-        #cboxLoadedContent{margin-bottom:28px;}
-        #cboxTitle{position:absolute; bottom:4px; left:0; text-align:center; width:100%; color:#949494;}
-        #cboxCurrent{position:absolute; bottom:4px; left:58px; color:#949494;}
-        #cboxSlideshow{position:absolute; bottom:4px; right:30px; color:#0092ef;}
-        #cboxPrevious{position:absolute; bottom:0; left:0; background:url(js/images/controls.png) no-repeat -75px 0; width:25px; height:25px; text-indent:-9999px;}
-        #cboxPrevious:hover{background-position:-75px -25px;}
-        #cboxNext{position:absolute; bottom:0; left:27px; background:url(js/images/controls.png) no-repeat -50px 0; width:25px; height:25px; text-indent:-9999px;}
-        #cboxNext:hover{background-position:-50px -25px;}
-        #cboxLoadingOverlay{background:url(js/images/loading_background.png) no-repeat center center;}
-        #cboxLoadingGraphic{background:url(js/images/loading.gif) no-repeat center center;}
-        #cboxClose{position:absolute; bottom:0; right:0; background:url(js/images/controls.png) no-repeat -25px 0; width:25px; height:25px; text-indent:-9999px;}
-        #cboxClose:hover{background-position:-25px -25px;}
-
-/*
-  The following fixes a problem where IE7 and IE8 replace a PNG's alpha transparency with a black fill
-  when an alpha filter (opacity change) is set on the element or ancestor element.  This style is not applied to or needed in IE9.
-  See: http://jacklmoore.com/notes/ie-transparency-problems/
-*/
-.cboxIE #cboxTopLeft,
-.cboxIE #cboxTopCenter,
-.cboxIE #cboxTopRight,
-.cboxIE #cboxBottomLeft,
-.cboxIE #cboxBottomCenter,
-.cboxIE #cboxBottomRight,
-.cboxIE #cboxMiddleLeft,
-.cboxIE #cboxMiddleRight {
-    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr=#00FFFFFF,endColorstr=#00FFFFFF);
-}
-
-/*
-  The following provides PNG transparency support for IE6
-  Feel free to remove this and the /ie6/ directory if you have dropped IE6 support.
-*/
-.cboxIE6 #cboxTopLeft{background:url(js/images/ie6/borderTopLeft.png);}
-.cboxIE6 #cboxTopCenter{background:url(js/images/ie6/borderTopCenter.png);}
-.cboxIE6 #cboxTopRight{background:url(js/images/ie6/borderTopRight.png);}
-.cboxIE6 #cboxBottomLeft{background:url(js/images/ie6/borderBottomLeft.png);}
-.cboxIE6 #cboxBottomCenter{background:url(js/images/ie6/borderBottomCenter.png);}
-.cboxIE6 #cboxBottomRight{background:url(js/images/ie6/borderBottomRight.png);}
-.cboxIE6 #cboxMiddleLeft{background:url(js/images/ie6/borderMiddleLeft.png);}
-.cboxIE6 #cboxMiddleRight{background:url(js/images/ie6/borderMiddleRight.png);}
-
-.cboxIE6 #cboxTopLeft,
-.cboxIE6 #cboxTopCenter,
-.cboxIE6 #cboxTopRight,
-.cboxIE6 #cboxBottomLeft,
-.cboxIE6 #cboxBottomCenter,
-.cboxIE6 #cboxBottomRight,
-.cboxIE6 #cboxMiddleLeft,
-.cboxIE6 #cboxMiddleRight {
-    _behavior: expression(this.src = this.src ? this.src : this.currentStyle.backgroundImage.split('"')[1], this.style.background = "none", this.style.filter = "progid:DXImageTransform.Microsoft.AlphaImageLoader(src=" + this.src + ", sizingMethod='scale')");
-}
Index: extensions/Evil_Blog/posts.tpl
===================================================================
--- extensions/Evil_Blog/posts.tpl	(revision 18982)
+++ 	(revision )
@@ -1,41 +1,0 @@
-		{$TITLE}
-		<ul class="evil_blog_posts">
-			{foreach from=$row item=value} 
-				<li class="thumbnailCategory">
-						<span class="post_title">
-							<span class="post_number">
-								{if isset($show_number) and $show_number}{$value.id} * {/if} 
-							</span>
-							<span class="post_header">
-								{$value.header}
-							</span>
-							<span class="post_date">
-								{if isset($show_date) and $show_date}{$value.date}{/if}
-							</span>
-						</span>
-						<div class="post_description">
-							{$value.text}
-						</div>
-				</li>
-			{/foreach}
-		</ul>
-		<form name='blog_pagination' action='' method='POST'>
-		<div class="navigationBar">
-			{if $npage>1}
-			<a href="{$first_page}" rel="first">{'First'|@translate}</a> |
-			<a href="{$first_page}/{$npage-1}" rel="prev">{'Previous'|@translate}</a> |
-			{/if}
-			{foreach from=$pagi item=v}
-				{if $v!=$npage}
-					<a class='blog_pagination' href='{$first_page}/{$v}'>{$v}</a> |
-					{else}
-					<span class='pageNumberSelected'>{$v}</span> |
-					{/if}
-			{/foreach}
-			{if $npage<$pages}
-			<a href="{$first_page}/{$npage+1}" rel="next">{'Next'|@translate}</a> |
-			<a href="{$first_page}/{$pages}" rel="last">{'Last'|@translate}</a>
-			{/if}
-		</div>
-		</form>
-{$TITLE_END}