Index: extensions/PwgCarbon/admin/admin.tpl
===================================================================
--- extensions/PwgCarbon/admin/admin.tpl	(revision 19015)
+++ extensions/PwgCarbon/admin/admin.tpl	(revision 19022)
@@ -9,5 +9,5 @@
 		
 			$('input:radio').screwDefaultButtons({
-				image: 'url("themes/PwgCarbon/admin/images/radioSmall_Blue.jpg")',
+				image: 'url("themes/PwgCarbon/admin/images/radioSmall_Blue.png")',
 				width: 35,
 				height: 35
Index: extensions/PwgCarbon/admin/theme.css
===================================================================
--- extensions/PwgCarbon/admin/theme.css	(revision 19015)
+++ extensions/PwgCarbon/admin/theme.css	(revision 19022)
@@ -1,190 +1,27 @@
+H3.ima{color:#000;font-size:15px}
+H3.imanoir{color: #FFF;font-size:15px}
+tr.ton{margin:10px}
+td.check{text-align:center}
+td.imag{text-align:right;width:100px;height:25px;vertical-align:bottom;line-height:1px}
+th{padding-left:10px;padding-right:10px}
+TABLE{margin-right:0px}
+#style,#option{float:left;padding-left:20px}
+#color{float:right;padding-left:15%}
+#theme{float:left;padding-left:15%}
+#optMenuIdent{width:50%;float:right}
+.check{padding-left:10px}
+* html a:hover{background:none}
+.lytetip{z-index:24;text-decoration:none;outline:medium none}
+.lytetip span{color:#000;position:absolute;top:2em;left:0;padding: 0.5em 0.8em;background:#F4F5FB;border:1px solid #888888;border-radius:5px;box-shadow:1px 2px 3px 0px #949494;opacity:0.95;text-align:left;display:none;width:400px;margin-left:-400px;font: 8pt "Trebuchet MS",Arial,Helvetica,sans-serif!important}
+a.lytetip:hover{border:none}
+.lytetip:hover{z-index:25;text-decoration:none}
+.lytetip:hover span{display:block}
+.lytetip:hover em{font-size:1.2em;font-weight:bold;display:block;padding: 0px 0px 0.6em}
+.lytetip:hover .lbTipImg{border:none;margin:-20px 0 0 -36px;float:left;position:absolute;height:32px;width:32px}
+span.lbCustom{padding: 0.5em 0.8em 0.5em 1.5em!important}
+span.lbIEFix{padding:0.5em 0.8em!important}
+.lytetip .lbInfo{background:#DFDFDF}
+.lytebox  table{border-collapse:collapse;width:400px;font-size:8pt}
+.lytebox th,.lytebox td{border:1px solid black;width:100px;background:#efefef;text-align:center}
 
 
-H3.ima {
-    color: #000000;
-    font-size: 15px;
-}
-
-H3.imanoir {
-    color: #FFFFFF;
-    font-size: 15px;
-}
-
-tr.ton {
-    margin: 10px;
-}
-
-td.check {
-    text-align: center;
-}
-
-td.imag {
-    text-align: right;
-    width: 100px;
-    height: 25px;
-    vertical-align: bottom;
-    line-height: 1px;
-}
-
-th {
-    padding-left: 10px;
-    padding-right: 10px;
-}
-
-TABLE {
-    margin-right: 0px;
-}
-
-#style, #option {
-    float: left;
-    padding-left: 20px;
-}
-
-#color {
-    float: right;
-    padding-left: 15%;
-}
-
-#theme {
-    float: left;
-    padding-left: 15%;
-}
-
-#optMenuIdent {
-    width: 50%;
-	float:right;
-}
-
-.jquery-checkbox {
-    display: inline;
-    font-size: 20px;
-    line-height: 20px;
-    cursor: pointer;
-}
-
-.jquery-checkbox .mark {
-    display: inline;
-}
-
-.jquery-checkbox img {
-    vertical-align: middle;
-    width: 60px;
-    height: 20px;
-}
-
-.jquery-checkbox img {
-    background: url("images/checkbox.png") no-repeat scroll 0% 0% transparent;
-}
-
-.jquery-checkbox img {
-    background-position: 0px 0px;
-}
-
-.jquery-checkbox-hover img {
-    background-position: 0px -20px;
-}
-
-.jquery-checkbox-checked img {
-    background-position: 0px -40px;
-}
-
-.jquery-checkbox-checked .jquery-checkbox-hover img {
-    background-position: 0px -60px;
-}
-
-.jquery-checkbox-disabled img {
-    background-position: 0px -80px;
-}
-
-.jquery-checkbox-checked .jquery-checkbox-disabled img {
-    background-position: 0px -100px;
-}
-
-/* Lytetip */
-* html a:hover {
-    background: none repeat scroll 0% 0% transparent;
-}
-
-.lytetip {
-    z-index: 24;
-    text-decoration: none;
-    outline: medium none;
-}
-
-.lytetip span {
-    color: #000000;
-    position: absolute;
-    top: 2em;
-    left: 0px;
-    padding: 0.5em 0.8em;
-    background: none repeat scroll 0% 0% #F4F5FB;
-    border: 1px solid #888888;
-    border-radius: 5px 5px 5px 5px;
-    box-shadow: 1px 2px 3px 0px #949494;
-    opacity: 0.95;
-    text-align: left;
-    display: none;
-    width: 400px;
-    margin-left: -400px;
-    font: 8pt "Trebuchet MS",Arial,Helvetica,sans-serif ! important;
-}
-
-a.lytetip:hover {
-    border: medium none;
-}
-
-.lytetip:hover {
-    z-index: 25;
-    text-decoration: none;
-}
-
-.lytetip:hover span {
-    display: block;
-}
-
-.lytetip:hover em {
-    font-size: 1.2em;
-    font-weight: bold;
-    display: block;
-    padding: 0px 0px 0.6em;
-}
-
-.lytetip:hover .lbTipImg {
-    border: 0px none;
-    margin: -20px 0px 0px -36px;
-    float: left;
-    position: absolute;
-    height: 32px;
-    width: 32px;
-}
-
-span.lbCustom {
-    padding: 0.5em 0.8em 0.5em 1.5em ! important;
-}
-
-span.lbIEFix {
-    padding: 0.5em 0.8em ! important;
-}
-
-.lytetip .lbInfo {
-    background: none repeat scroll 0% 0% #DFDFDF;
-}
-
-.lytebox{
-	
-}
-
-.lytebox  table{
-	border-collapse:collapse;
-	width:400px;
-	font-size: 8pt;
-}
-
-.lytebox th, .lytebox td {
-	border:1px solid black;
-	width:100px;
-	background-color:#efefef;
-	text-align:center;
-}
-
-