Index: /trunk/language/zh_CN/admin.lang.php
===================================================================
--- /trunk/language/zh_CN/admin.lang.php	(revision 19134)
+++ /trunk/language/zh_CN/admin.lang.php	(revision 19135)
@@ -59,5 +59,5 @@
 $lang['Caddie management'] = '标记图片库管理';
 $lang['Caddie'] = '标记图片库';
-$lang['Albums authorized thanks to group associations'] = '相册组织授权感谢协会';
+$lang['Albums authorized thanks to group associations'] = '以组成员身份授予访问权的相册';
 $lang['Album manual order was saved'] = '相册手动排序已保存';
 $lang['Check for upgrade failed for unknown reasons.'] = '因未知原因导致更新检查失败.';
@@ -81,5 +81,5 @@
 $lang['Email admins when a new user registers'] = '有新用户注册时，发邮件通知管理员';
 $lang['Email admins when a valid comment is entered'] = '当有效的评论发布后，发邮件通知管理员';
-$lang['Email admins when a comment requires validation'] = '当有评论需要审核时，发邮件通知管理员';
+$lang['Email admins when a comment requires validation'] = '有评论需要审核时，发邮件通知管理员';
 $lang['Environment'] = '环境';
 $lang['Form'] = '表单';
@@ -113,8 +113,8 @@
 $lang['Number of rates'] = '评分次数';
 $lang['Number of thumbnails to create'] = '将创建的缩略图数';
-$lang['Only private albums are listed'] = '只列出了私有相册';
+$lang['Only private albums are listed'] = '只列出了非公开相册';
 $lang['Operating system'] = '操作系统';
 $lang['Options'] = '选项';
-$lang['Other private albums'] = '其他私有相册';
+$lang['Other private albums'] = '其他非公开相册';
 $lang['Page banner'] = '页banner';
 $lang['Parent album'] = '父相册';
@@ -127,5 +127,5 @@
 $lang['Permalinks'] = '固定链接';
 $lang['Permission denied'] = '禁止访问';
-$lang['Permission granted thanks to a group'] = '同组成员可以访问授权类';
+$lang['Permission granted thanks to a group'] = '以组成员身份授予访问权';
 $lang['Permission granted'] = '允许访问';
 $lang['Photo informations updated'] = '图片信息已更新';
@@ -140,5 +140,5 @@
 $lang['Reject'] = '拒绝';
 $lang['Representant'] = '相册缩略图';
-$lang['Representation of albums'] = '相册缩略图';
+$lang['Representation of albums'] = '作为相册的缩略图';
 $lang['Representative'] = '相册缩略图';
 $lang['Represents'] = '是以下相册的缩略图：';
@@ -180,8 +180,8 @@
 $lang['The name of an album must not be empty'] = '相册名称不能为空';
 $lang['Lock albums'] = '锁定相册';
-$lang['Private'] = '私有相册';
+$lang['Private'] = '非公开相册';
 $lang['Public'] = '公共相册';
 $lang['Find a new representant by random'] = '采用新的随机相册缩略图';
-$lang['Public / Private'] = '公共 / 私有';
+$lang['Public / Private'] = '公开 / 非公开';
 $lang['Manage authorizations for selected albums'] = '管理所选相册的授权';
 $lang['Virtual album added'] = '虚拟相册已添加';
@@ -200,5 +200,5 @@
 $lang['dissociate from group'] = '取消组关联';
 $lang['Album updated successfully'] = '相册已更新成功';
-$lang['photos per page'] = '每页图片数';
+$lang['photos per page'] = '图片/页';
 $lang['High definition enabled'] = '高清功能已激活';
 $lang['File'] = '文件';
@@ -215,5 +215,5 @@
 $lang['jump to photo'] = '转至图片页';
 $lang['leave'] = '留空（默认）';
-$lang['Lock'] = '上锁';
+$lang['Lock'] = '锁定';
 $lang['Locked'] = '已锁定';
 $lang['manage album photos'] = '管理相册中的图片';
@@ -291,6 +291,6 @@
 $lang['no write access'] = '无法写入';
 $lang['Permissions'] = '权限';
-$lang['private'] = '私有';
-$lang['public'] = '公有';
+$lang['private'] = '非公开';
+$lang['public'] = '公开';
 $lang['Purge never used notification feeds'] = '清除从未使用过的RSS订阅';
 $lang['Purge sessions'] = '清除会话';
@@ -498,5 +498,5 @@
 $lang['ACCESS_5'] = '对任何人都不开放';
 $lang['A new version of Piwigo is available.'] = 'Piwigo新版发布.';
-$lang['Piwigo Administration'] = 'Piwigo管理';
+$lang['Piwigo Administration'] = 'Piwigo 管理';
 $lang['Piwigo version'] = 'Piwigo版本';
 $lang['You are running the latest version of Piwigo.'] = '您运行的是Piwigo最新版.';
@@ -539,5 +539,5 @@
 $lang['Allow users to edit their own comments'] = '允许用户修改自己的评论';
 $lang['Allow users to delete their own comments'] = '允许用户删除自己的评论';
-$lang['Email administrators when a comment is modified'] = '当评论被修改后，发邮件通知管理员';
+$lang['Email administrators when a comment is modified'] = '有评论被修改后，发邮件通知管理员';
 $lang['Email administrators when a comment is deleted'] = '当评论被删除后，发邮件通知管理员';
 $lang['Cannot delete the old permalink !'] = '旧的固定链接无法删除!';
@@ -563,5 +563,5 @@
 $lang['Uploaded Photos'] = '已上传的图片';
 $lang['%d photos uploaded'] = '%d张图片已上传';
-$lang['Privacy level set to "%s"'] = '私有级别设置为 "%s"';
+$lang['Privacy level set to "%s"'] = '隐私级别设置为 "%s"';
 $lang['Album "%s" now contains %d photos'] = '相册 "%s" 现已包含了 %d 张图片';
 $lang['Manage this set of %d photos'] = '管理本套 %d 张照片 ';
@@ -579,6 +579,6 @@
 $lang['Active Themes'] = '启用的主题';
 $lang['Add write access to the "%s" directory'] = '为 "%s" 文件夹添加写权限';
-$lang['Administration Home'] = '管理员首页';
-$lang['Change Admin Colors'] = '更改后台颜色';
+$lang['Administration Home'] = '管理界面首页';
+$lang['Change Admin Colors'] = '更改管理界面颜色';
 $lang['Delete this theme'] = '删除此主题';
 $lang['Directory does not exist'] = '文件夹不存在';
@@ -596,5 +596,5 @@
 $lang['Read Piwigo Documentation'] = '阅读Piwigo文档';
 $lang['Start pLoader and add your photos.'] = '开始使用pLoader并添加您的图片.';
-$lang['Switch to clear or dark colors for administration'] = '更改管理员后台为清爽或者炫黑的颜色';
+$lang['Switch to clear or dark colors for administration'] = '更改管理界面为清爽或者炫黑的颜色';
 $lang['Theme has been successfully installed'] = '主题已成功安装';
 $lang['Visit Gallery'] = '浏览图库';
@@ -614,5 +614,5 @@
 $lang['Language has been successfully installed'] = '语言已成功安装';
 $lang['Select:'] = '选择:';
-$lang['None'] = '没有';
+$lang['None'] = '无';
 $lang['Invert'] = '反选';
 $lang['Impossible to deactivate this theme, you need at least one theme.'] = '不能停用此主题，您至少需要使用一个主题.';
@@ -656,5 +656,5 @@
 $lang['Menu Management'] = '菜单';
 $lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = '在您的 php.ini 文件，upload_max_filesize (%sB) 大于 post_max_size (%sB)，您需要修改此设置';
-$lang['Exif extension not available, admin should disable exif use'] = 'Exif 扩展不可用，管理员应该禁用 exif 功能。';
+$lang['Exif extension not available, admin should disable exif use'] = 'Exif 扩展不可用，管理员应禁用 exif 功能。';
 $lang['The uploaded file exceeds the upload_max_filesize directive in php.ini: %sB'] = '上传文件超过了在 php.ini 文件里的 upload_max_filesize 的限制：%sB';
 $lang['The uploaded files exceed the post_max_size directive in php.ini: %sB'] = '上传文件超过了在 php.ini 文件里的 post_max_size 的限制: %sB';
@@ -673,5 +673,5 @@
 $lang['Albums automatically sorted'] = '相册已自动排序';
 $lang['All %d photos are selected'] = '全部 %d 张图片已选中';
-$lang['Apply action'] = '应用动作';
+$lang['Apply action'] = '执行操作';
 $lang['automatic order'] = '自动排序';
 $lang['Batch Manager'] = '批量管理';
@@ -818,5 +818,5 @@
 $lang['With no virtual album'] = '没有虚拟相册';
 $lang['Zoom'] = '缩放';
-$lang['A locked gallery is only visible to administrators'] = '被锁定的相册只有管理员能够访问';
+$lang['A locked gallery is only visible to administrators'] = '被锁定的相册只有管理员可见';
 $lang['administrators'] = '管理员';
 $lang['Center of interest'] = '兴趣中心';
@@ -883,5 +883,5 @@
 $lang['By default, the center of interest is placed in the middle of the photo.'] = '默认情况下，兴趣中心置于图片的中心。';
 $lang['For photo sizes with crop, such as "Square", Piwigo will do its best to include the center of interest.'] = '对于剪裁照片大小，如“正方形”，Piwigo将竭尽所能的包括兴趣中心。';
-$lang['No group is permitted to see this private album'] = '没有组被允许查看这个私有相册';
+$lang['No group is permitted to see this private album'] = '没有组被允许查看这个非公开相册';
 $lang['Opacity'] = '不透明';
 $lang['Permission management'] = '权限管理';
@@ -943,3 +943,6 @@
 $lang['View in gallery'] = '在图库中查看';
 $lang['The version of %s [%s] installed is not compatible with the version required ']['%s'] = '%s [%s]安装的版本跟[%s]版本不兼容';
+$lang['Ratio'] = '比例';
+$lang['between %.2f and %.2f'] = '在 %.2f 与 %.2f 之间';
+$lang['between %d and %d pixels'] = '在 %d 与 %d 像素之间';
 ?>